Skip to main content
`Ctrl`+`K`

# DMPlexGetDepthStratumGlobalSize

Get the global size for a given depth stratum

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepthStratumGlobalSize(DM dm, PetscInt depth, PetscInt *gsize)

## Input Parameters

- dm - The `DMPLEX` object

- depth - The depth for the given point stratum

## Output Parameter

- gsize - The global number of points in the stratum

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetCellNumbering()`, `DMPlexGetVertexNumbering()`, `DMPlexGetDepthStratum()`, `DMPlexGetHeightStratum()`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages